%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Name:		kmflcomp
Summary:	Compiler for source Tavultesoft Keyman files
Version:	0.9.9
Release:	3
Group:		System/Internationalization
License:	GPLv2+
URL:		http://kmfl.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/kmfl/%{name}-%{version}.tar.gz
Patch0:		kmflcomp-0.9.8-linkage.patch
BuildRequires:	bison
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xdmcp)

%description
KMFL is a keyboarding input method which aims to bring Tavultesoft
Keyman functionality to Linux.

kmflcomp is one of three parts of the KMFL project. It is a keyboard
compiler. The other two parts are libkmfl and libscim-kmfl-imengine.

%package -n %{libname}
Summary:	Kmflcomp library
Group:		System/Internationalization

%description -n %{libname}
KMFL is a keyboarding input method which aims to bring Tavultesoft
Keyman functionality to Linux.

libkmflcomp is one of three parts of the KMFL project. It is a 
keyboard compiler library. The other two parts are libkmfl and 
libscim-kmfl-imengine.

%package -n %{develname}
Summary:	Kmflcomp library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname kmflcomp 0 -d}

%description -n %{develname}
Headers and static library of Kmflcomp.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
%makeinstall_std

# remove documents (AUTHORS, COPYING etc.)
# they should be installed by %doc
rm -rf %{buildroot}/%{_prefix}/doc/

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_bindir}/kmflcomp

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libkmflcomp.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/kmfl
%{_libdir}/libkmflcomp.a
%{_libdir}/libkmflcomp.so



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.9.9-3
+ Revision: d92f720
- MassBuild#440: Increase release tag


